# syntax=docker-registry.wikimedia.org/repos/releng/blubber:v0.17.0
version: v4
base: docker-registry.wikimedia.org/httpd
runs: { insecurely: false }
entrypoint: [./entrypoint.sh]
variants:
  test:
    copies: [local]
  transparencyreport:
    copies:
      - from: local
        source: ./build
        destination: html
      - from: local
        source: production/httpd.conf
        destination: ./apache2.conf
      - from: local
        source: production/transparencyreport.conf
        destination: ./transparencyreport.conf
      - from: local
        source: production/transparency-archive.conf
        destination: ./transparency-archive.conf
      - from: local
        source: ./entrypoint.sh
        destination: ./entrypoint.sh
